package com.dcit.danger.service;

import java.util.List;

import com.dcit.danger.model.SafetyDeviceInfo;
import com.dcit.danger.model.SafetyDeviceInfoExample;

public interface SafetyDeviceInfoService {
	
	long countByExample(SafetyDeviceInfoExample example);

    int deleteByExample(SafetyDeviceInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(SafetyDeviceInfo record);

    int insertSelective(SafetyDeviceInfo record);

    List<SafetyDeviceInfo> selectByExample(SafetyDeviceInfoExample example);

    SafetyDeviceInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(SafetyDeviceInfo record, SafetyDeviceInfoExample example);

    int updateByExample(SafetyDeviceInfo record, SafetyDeviceInfoExample example);

    int updateByPrimaryKeySelective(SafetyDeviceInfo record);

    int updateByPrimaryKey(SafetyDeviceInfo record);

}
